Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] Portage tries to install old kernel version
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
quykfox
n00b
n00b


Joined: 25 Jul 2016
Posts: 21
Location: USA

PostPosted: Sat Dec 30, 2017 1:28 am    Post subject: [SOLVED] Portage tries to install old kernel version Reply with quote

So yesterday I ran an update with emerge and received the gentoo-sources-4.14.8-r1 (before that I was running 4.12.12). Today, I ran an update again, and portage installed gentoo-sources-4.12.12 again (I had removed that after setting up my new kernel), and now 'emerge --depclean' wants to unmerge gentoo-sources-4.14.8-r1. The upgrade to the newer version fixed some problems for me, so I'd rather keep that. How do I fix this?

Last edited by quykfox on Mon Jan 01, 2018 11:51 pm; edited 1 time in total
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6995
Location: Austria

PostPosted: Sat Dec 30, 2017 2:07 am    Post subject: Reply with quote

Many problems:

https://archives.gentoo.org/gentoo-dev/message/9c22a5fa560d77fb7cd58e09d046924d

If you are not affected, you can keep 4.14.8-r1 by adding that version to package.accept_keywords.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
quykfox
n00b
n00b


Joined: 25 Jul 2016
Posts: 21
Location: USA

PostPosted: Mon Jan 01, 2018 11:49 pm    Post subject: Reply with quote

I see, well package.accept_keywords worked for now.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum